Subject: Re: [PATCH net-next 0/8] Non-promisc bidge ports support

From: Toshiaki Makita <[email-masked]>
Date: Thu, 15 May 2014 22:02:25 +0900

(2014/05/15 21:55), Toshiaki Makita wrote:
> (2014/05/15 0:09), Vlad Yasevich wrote:
>> This series adds functionality to the bridge device to enable
>> operations without setting all ports to promiscuous mode.
>>
>> The basic concept is this.  The bridge keeps track of the ports
>> that support learning and flooding packets to unknown destinations.
>> We call these ports auto-discovery ports since they automatically
>> discover who is behind them through learning and flooding.  
>>
>> If flooding and learning are disabled via flags, then the port
>> requires static configuration to tell it which mac addresses
>> are behind it.  This is accomplished through adding of fdbs.
>> These fdbs should be static as dynamic fdbs can expire and systems
>> will become unreachable due to lack of flooding.
> 
> Hi Vlad,
> 
> This is not a comment for this patch set, but I have a question.
> 
> I'm trying to use bridge command to turn off flood/learning but couldn't
> find the corresponding command.
> I'm expecting something like "bridge link set br0 flood/learning".
> 
> Are there any other userspace commands that can set flood/learning flag?
> 

I've just found them in sysfs. Sorry for noise, thanks.

Toshiaki Makita.